Support Questions
Find answers, ask questions, and share your expertise
Announcements
Alert: Welcome to the Unified Cloudera Community. Former HCC members be sure to read and learn how to activate your account here.

Problems with HDP 2.3.4.0-3485, Embedded PIG 0.15.0 & MAPREDUCE

Problems with HDP 2.3.4.0-3485, Embedded PIG 0.15.0 & MAPREDUCE

New Contributor

Hello!

I have a big show stopper here: I am trying to run my own pigscript (Embedded mode / java / MR -job / HDP 2.3.4.0-3485) I get this in log file:

java.lang.IllegalArgumentException: Unable to parse '/hdp/apps/${hdp.version}/mapreduce/mapreduce.tar.gz#mr-framework' as a URI,

check the setting for mapreduce.application.framework.path

So, for some reason this variable ${hdp.version} cannot be resolved ? Where I can change it to 2.3.4.0-3485 and does it do the job or is there a bigger problem ?

Help!

1 REPLY 1

Re: Problems with HDP 2.3.4.0-3485, Embedded PIG 0.15.0 & MAPREDUCE

Mentor

Check the pig configs page specifically the properties and env sections.